glibmm: Gio::FileDescriptorBased Class Reference

glibmm 2.78.0

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Symbols | List of all members
Gio::FileDescriptorBased Class Reference
Stream Classes

Interface for file descriptor based IO. More...

`#include <giomm/filedescriptorbased.h>`

Inheritance diagram for Gio::FileDescriptorBased:
[legend]

## Public Member Functions
| FileDescriptorBased (FileDescriptorBased &&src) noexcept
FileDescriptorBased & | operator= (FileDescriptorBased &&src) noexcept
| ~FileDescriptorBased () noexcept override
GFileDescriptorBased * | gobj ()
| Provides access to the underlying C GObject.
const GFileDescriptorBased * | gobj () const
| Provides access to the underlying C GObject.
int | get_fd () const
| Gets the underlying file descriptor.
Public Member Functions inherited from Glib::Interface
| Interface ()
| A Default constructor.
| Interface (Interface &&src) noexcept
Interface & | operator= (Interface &&src) noexcept
| Interface (const Glib::Interface_Class &interface_class)
| Called by constructors of derived classes.
| Interface (GObject *castitem)
| Called by constructors of derived classes.
| ~Interface () noexcept override
| Interface (const Interface &)=delete
Interface & | operator= (const Interface &)=delete
GObject * | gobj ()
const GObject * | gobj () const
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring & property_name, const Glib::ValueBase & value)
| You probably want to use a specific property_*() accessor method instead.
void | get_property_value (const Glib::ustring & property_name, Glib::ValueBase & value) const
| You probably want to use a specific property_*() accessor method instead.
template<class PropertyType >
void | set_property (const Glib::ustring & property_name, const PropertyType & value)
| You probably want to use a specific property_*() accessor method instead.
template<class PropertyType >
void | get_property (const Glib::ustring & property_name, PropertyType & value) const
| You probably want to use a specific property_*() accessor method instead.
template<class PropertyType >
PropertyType | get_property (const Glib::ustring & property_name) const
| You probably want to use a specific property_*() accessor method instead.
sigc::connection | connect_property_changed (const Glib::ustring & property_name, const sigc::slot< void()> &slot)
| You can use the signal_changed() signal of the property proxy instead.
sigc::connection | connect_property_changed (const Glib::ustring & property_name, sigc::slot< void()> &&slot)
| You can use the signal_changed() signal of the property proxy instead.
void | freeze_notify ()
| Increases the freeze count on object.
void | thaw_notify ()
| Reverts the effect of a previous call to freeze_notify().
virtual void | reference () const
| Increment the reference count for this object.
virtual void | unreference () const
| Decrement the reference count for this object.
GObject * | gobj ()
| Provides access to the underlying C GObject.
const GObject * | gobj () const
| Provides access to the underlying C GObject.
GObject * | gobj_copy () const
| Give a ref-ed copy to someone. Use for direct struct access.

## Static Public Member Functions
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.

## Protected Member Functions
| FileDescriptorBased ()
| You should derive from this class to use it.
virtual int | get_fd_vfunc () const
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| This default constructor is called implicitly from the constructor of user-derived classes, even if, for instance, Gtk::Button calls a different ObjectBase constructor.
| ObjectBase (const char *custom_type_name)
| A derived constructor always overrides this choice.
| ObjectBase (const std::type_info &custom_type_info)
| This constructor is a special feature to allow creation of derived types on the fly, without having to use g_object_new() manually.
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Related Symbols
(Note that these are not member symbols.)
Glib::RefPtr< Gio::FileDescriptorBased > | wrap (GFileDescriptorBased *object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Interface for file descriptor based IO.

FileDescriptorBased is implemented by streams (implementations of Gio::InputStream or Gio::OutputStream) that are based on file descriptors.

Since glibmm 2.58:

## Constructor & Destructor Documentation

## ◆ FileDescriptorBased() [1/2]

Gio::FileDescriptorBased::FileDescriptorBased | ( |  | ) |
| protected

You should derive from this class to use it.

## ◆ FileDescriptorBased() [2/2]

Gio::FileDescriptorBased::FileDescriptorBased | ( | FileDescriptorBased && | src | ) |
| noexcept

## ◆ ~FileDescriptorBased()

Gio::FileDescriptorBased::~FileDescriptorBased | ( |  | ) |
| overridenoexcept

## Member Function Documentation

## ◆ add_interface()

static void Gio::FileDescriptorBased::add_interface | ( | GType | gtype_implementer | ) |
| static

## ◆ get_fd()

int Gio::FileDescriptorBased::get_fd | ( |  | ) | const

Gets the underlying file descriptor.

Since glibmm 2.58:

Returns
  The file descriptor.

## ◆ get_fd_vfunc()

virtual int Gio::FileDescriptorBased::get_fd_vfunc | ( |  | ) | const
| protectedvirtual

## ◆ get_type()

static GType Gio::FileDescriptorBased::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GFileDescriptorBased * Gio::FileDescriptorBased::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GFileDescriptorBased * Gio::FileDescriptorBased::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ operator=()

FileDescriptorBased & Gio::FileDescriptorBased::operator= | ( | FileDescriptorBased && | src | ) |
| noexcept

## Friends And Related Symbol Documentation

## ◆ wrap()

Glib::RefPtr< Gio::FileDescriptorBased > wrap | ( | GFileDescriptorBased * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.